local GreatLadder = ...

-- Apply building asset processor
GreatLadder:registerAssetProcessor("models/greatLadder.fbx", {
	DataType = "BUILDING_ASSET_PROCESSOR"
})
GreatLadder:registerAssetProcessor("models/greatLadder2.fbx", {
	DataType = "BUILDING_ASSET_PROCESSOR"
})
GreatLadder:registerAssetProcessor("models/greatLadder3.fbx", {
	DataType = "BUILDING_ASSET_PROCESSOR"
})

-- Register all great ladder building parts and their properties
GreatLadder:dofile("buildings.lua")
GreatLadder:dofile("buildings2.lua")
GreatLadder:dofile("buildings3.lua")

-- Register the great ladder monument
GreatLadder:register({
	DataType = "MONUMENT",
	Id = "GREAT_LADDER_MONUMENT",
	Name = "GREAT_LADDER_NAME",
	Description = "GREAT_LADDER_DESC",
	BuildingType = "MONUMENT",
	BuildingPartSetList = {
		{
			Name = "GREAT_LADDER_PARTSETLIST_NAME",
	                BuildingPartList = {
		            "GREAT_LADDER_ROOT_PART",
	                    "GL2_BRIDGE_CORE_PART"
--, still on development
--	        "GL3_BRIDGE_CORE_PART"
                        }
                 }                                     
	},
	RequiredPartList = {
		-- Necessarily a list of 'MONUMENT_REQUIRED_PART_PAIR', no need to specify the DataType of each element of the list
		{ Category = "CORE", Quantity = 1 }
	},
        IsEditable = true
})